Subject: Re: bug#19896: 23.1; reverse-region is slow compared to sort-columns

From: Eli Zaretskii <[email-masked]>
Date: Wed, 18 Feb 2015 21:29:13 +0200

> From: Ivan Shmakov <[email-masked]>
> Date: Wed, 18 Feb 2015 19:13:00 +0000
> 
> >>>>> Eli Zaretskii <[email-masked]> writes:
> >>>>> From: Ivan Shmakov  Date: Wed, 18 Feb 2015 18:29:08 +0000
> 
> […]
> 
>  >> On a GNU system (as well as on any other system featuring GNU
>  >> Coreutils), it should be possible to just use sort(1) for the
>  >> purpose.  For instance, the “reverse” option is ‘-r’.
> 
>  > But sort(1)'s sort order is locale-specific, whereas that of Emacs
>  > isn't.
> 
> 	How is that a disadvantage?

I didn't say it was a disadvantage, only that the results might be
different, and will almost certainly be different in different
locales.

>       The user can easily force any locale of those available on the
> 	system with an explicit LC_ALL=, like:
> 
> $ LC_ALL=de_DE.UTF-8 sort < list.de 
> 
> $ LC_ALL=ru_RU.UTF-8 sort < list.ru 
> 
> $ LC_ALL=C sort < list.ascii 

Yes, but Emacs's sort order is not in any locale, more or less.  So
it's not easy to find a locale that will produce the same order as
Emacs, unless you know a lot about Emacs internals.  And even if you
do, such a locale might not be installed on the end-user's machine.

> 	For one thing, M-x sort-lines seems to put ё after я, while in
> 	Russian it comes between е and ж.  And similarly for ß (and the
> 	accented letters) in German, etc.

Precisely!  That was my point.